Bug 427848 - "Resize" feature available in context menu of wndow decoration does not work with maximized window on Wayland
Summary: "Resize" feature available in context menu of wndow decoration does not work ...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: wayland-generic (show other bugs)
Version: git master
Platform: Neon Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-17 01:29 UTC by Patrick Silva
Modified: 2020-12-04 10:30 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-10-17 01:29:19 UTC
SUMMARY
If the window is not maximized, "Resize" feature works as expected.

STEPS TO REPRODUCE
1. open Dolphin on Wayland session and maximize its window
2. right-click on window decoration, hover over "More actions", choose "Resize" (Dolphin window becomes semi-transparent)
3. try to resize Dolphin window moving cursor (the window is not resized as it should)
4. close Dolphin (semi-transparent Dolphin window gets stuck on the screen and
re-login is the only way to get rid it)

EXPECTED RESULT
"Resize" feature should always work

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.0
Comment 1 Bug Janitor Service 2020-11-23 22:07:51 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/481
Comment 2 Zamundaaa 2020-11-23 22:26:34 UTC
This can also be triggered by Meta+Right click resizing when a window is maximized. The MR should fix that.
Comment 3 Vlad Zahorodnii 2020-11-24 18:17:53 UTC
Git commit 459aa66d8e07417a6a54bba2dda7b4fd188bd762 by Vlad Zahorodnii, on behalf of Xaver Hugl.
Committed on 24/11/2020 at 18:17.
Pushed by vladz into branch 'master'.

Set setMoveResize(true) after stopping fullscreen and quick tiling

M  +6    -2    xdgshellclient.cpp

https://invent.kde.org/plasma/kwin/commit/459aa66d8e07417a6a54bba2dda7b4fd188bd762
Comment 4 Vlad Zahorodnii 2020-11-24 18:18:51 UTC
Git commit 4361892c25dbb9b94c4e5ba8f00f03861d1fde67 by Vlad Zahorodnii, on behalf of Xaver Hugl.
Committed on 24/11/2020 at 18:18.
Pushed by vladz into branch 'Plasma/5.20'.

Set setMoveResize(true) after stopping fullscreen and quick tiling


(cherry picked from commit 459aa66d8e07417a6a54bba2dda7b4fd188bd762)

M  +6    -2    xdgshellclient.cpp

https://invent.kde.org/plasma/kwin/commit/4361892c25dbb9b94c4e5ba8f00f03861d1fde67
Comment 5 Patrick Silva 2020-11-28 11:40:55 UTC
This bug is still reproducible on neon unstable.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.77.0
Qt Version: 5.15.1
Comment 6 Patrick Silva 2020-12-03 10:08:44 UTC
This bug is fixed on Arch Linux after update to Plasma 5.20.4 but it is still
reproducible on neon unstable.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.77.0
Qt Version: 5.15.1
Comment 7 Patrick Silva 2020-12-04 10:30:12 UTC
it's already fixed on neon unstable too.